commit:     afcb7f713732686924071d264af386df97b757bb
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Nov  1 23:14:39 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Nov  1 23:16:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afcb7f71

dev-vcs/git-crypt: add 0.7.0

Closes: https://bugs.gentoo.org/522286
Closes: https://bugs.gentoo.org/689180
Closes: https://bugs.gentoo.org/805545
Thanks-to: John R. Graham <john_r_graham <AT> gentoo.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-vcs/git-crypt/Manifest               |  1 +
 dev-vcs/git-crypt/git-crypt-0.7.0.ebuild | 34 ++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-vcs/git-crypt/Manifest b/dev-vcs/git-crypt/Manifest
index f861fde81c85..1dee4d421921 100644
--- a/dev-vcs/git-crypt/Manifest
+++ b/dev-vcs/git-crypt/Manifest
@@ -1 +1,2 @@
 DIST git-crypt-0.6.0.tar.gz 57584 BLAKE2B 
6557121ef4a3f49b2294f7c6268a55323b7ec192b851fac548e76a9301c65655be72f67eecc248205cefcb0184d52a55f8a462ccec0082552fce3115a18b7267
 SHA512 
06fd9f6dbdc5c9fa9196f3e81a87cd3688089623b2658daf9c98809d5ca14df0b7ca69fdfe8279abf575957c366f2f93bd5a6885092eb533bd0d1ed9fe9dfac5
+DIST git-crypt-0.7.0.tar.gz 57621 BLAKE2B 
3307420f2ddeb6742ea53b8e58351dfa68e34e8d83cf6eada626fc9778387c356cd38cfa29f70729ebe39fb9acb9388e489487be7839e40d0a4a47a1b12f4ece
 SHA512 
88eb730f0f0b4622c1a3ce64c62fa97a9a4da0716f4cce86fad8d700e2cb248dae8fc9e92996448564903564dbcddaa1f87201cf7ebc77144660f3044ae92904

diff --git a/dev-vcs/git-crypt/git-crypt-0.7.0.ebuild 
b/dev-vcs/git-crypt/git-crypt-0.7.0.ebuild
new file mode 100644
index 000000000000..8a641959908a
--- /dev/null
+++ b/dev-vcs/git-crypt/git-crypt-0.7.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Transparent file encryption in git"
+HOMEPAGE="https://www.agwa.name/projects/git-crypt/";
+SRC_URI="https://www.agwa.name/projects/git-crypt/downloads/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-libs/openssl:=
+       dev-vcs/git
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-libs/libxslt"
+
+src_configure() {
+       append-cppflags -DOPENSSL_API_COMPAT=0x30000000L
+       tc-export CXX
+
+       # bug #689180
+       export ENABLE_MAN=yes
+}
+
+src_install() {
+       mkdir -p "${D}"/usr/bin || die
+       emake PREFIX="${D}"/usr install
+}

Reply via email to